Summary:	Shell tool for executing jobs in parallel
Name:		parallel
Version:	20110722
Release:	2%{?dist}
License:	GPLv3+
Group:		Applications/Productivity
URL:		http://www.gnu.org/software/parallel/
Source0:	http://ftp.gnu.org/gnu/%{name}/%{name}-%{version}.tar.bz2
# Fedora-specific config file (compatibility with moreutils' parallel)
Source1:	%{name}-config
BuildArch:	noarch

# Due to a naming conflict, both packages cannot be installed in parallel
# To prevent user confusion, GNU parallel is installed in a compatibility
# mode to be commandline compatible to moreutils' parallel.
# This mode can be turned off system wide or on a per-user base.
Conflicts: moreutils-parallel

%description
GNU Parallel is a shell tool for executing jobs in parallel using one or more
machines. A job is typically a single command or a small script that has to be
run for each of the lines in the input. The typical input is a list of files, a
list of hosts, a list of users, or a list of tables.

If you use xargs today you will find GNU Parallel very easy to use. If you
write loops in shell, you will find GNU Parallel may be able to replace most of
the loops and make them run faster by running jobs in parallel. If you use ppss
or pexec you will find GNU Parallel will often make the command easier to read.

GNU Parallel also makes sure output from the commands is the same output as you
would get had you run the commands sequentially. This makes it possible to use
output from GNU Parallel as input for other programs.

GNU Parallel is command-line-compatible with moreutils' parallel, but offers
additional features.

%prep

%setup -q

%build

%configure 
make %{?_smp_mflags}

%install

make install DESTDIR=%{buildroot}

find %{buildroot} -iname "*.html" -delete

mkdir -m755 -p %{buildroot}%{_sysconfdir}/parallel
install -pD -m644 %{SOURCE1} %{buildroot}%{_sysconfdir}/parallel/config

%files

%{_bindir}/parallel
%{_bindir}/sem
%{_bindir}/sql
%{_bindir}/niceload
%dir %{_sysconfdir}/parallel/
%config(noreplace) %{_sysconfdir}/parallel/config
%{_mandir}/man1/niceload.1.*
%{_mandir}/man1/parallel.1.*
%{_mandir}/man1/sem.1.*
%{_mandir}/man1/sql.1.*
%doc README NEWS COPYING src/parallel.html src/sem.html src/sql.html

%changelog
* Fri Sep 09 2011 Golo Fuchert <packages@golotop.de> - 20110722-2
- Minor cosmetic changes and consistent macro usage
* Sat Aug 13 2011 Golo Fuchert <packages@golotop.de> - 20110722-1
- Updated to newest version 20110722
* Sun May 22 2011 Golo Fuchert <packages@golotop.de> - 20110522-1
- Update to version 20110522
- Conflict with moreutils-parallel
- Incl. config file to make gnu parallel compatible with moreutils' by default
- Added a comment to the description, concerning the moreutils compatibility
* Sun Feb 6 2011 Golo Fuchert <packages@golotop.de> - 20110205-1
- Initial package. Based on a package by Ole Tange and Markus Ammer.
